# Integrating 3rd party applications

Buzzy integration is based on the microservice architecture. This structure enables rapid, frequent and reliable delivery of large, complex applications. Some of the benefits of this architecture include:

* Highly maintainable and testable
* Loosely coupled
* Independently deployable
* Organized around business capabilities
* Owned by a small team

![](/files/ETwk94x9lutEdGBkLpb8)

At the heart of the buzzy architecture is the Application component, also known as a Microapp. It is used to store data and provides query and transformation capabilities through [JSONata](https://jsonata.org/). Detailed information is available for using Microapps.

![](/files/PbEel7uxPFE0N2F8cxCf)

3rd party software systems can be integrated with Buzzy using Microapp event triggers. When a Microapp row is added, modified, or deleted, a 3rd party REST API can be triggered. This allows for the information to be communicated and processed based on business rules. This advanced approach collects and combines data to be put into action.

![](/files/MC2Fugk6Ao5sSkamXTXU)

Data can be imported into Microapp from a 3rd party system using REST services or a text file:

* Using REST services enables incoming data between the 3rd party system and Buzzy. For example, this approach is used internally to access Geographic Information System Mapping Servers in order to display data on the Advanced Map component. More information can be found in the document [import data from URL](/the-building-blocks/datatables-fields-and-data/importing-data-from-a-url.md)
* There are scenarios where flat file integration might make the most sense for your needs. For example a 3rd party system that does not have a REST API or another example is a “one of” situation that will not be repeated. In these cases, Buzzy supports importing data from a text file using the CSV import option inside the Data Source feature of the Microapp. More information can be found in the document [import data from text file](/the-building-blocks/datatables-fields-and-data/importing-data-from-a-text-file.md)

![](/files/1Wnbn6iF3UwnGXh9WQpj)

The Buzzy REST API provides external access to Datatable data stored on the server. It allows you to create, insert, update and query data using a secure authenticated connection with the Buzzy server. More information can be found in the [Buzzy REST API](/rest-api/buzzy-rest-api/rest-api.md) documentation.

Below are some tutorials to help understand how to integrate with Buzzy:

* [Datatable and Spectrum Dataflow Integration](broken://pages/GF6Pb9kzKOlYguhGYzBF) desribes how to integrate a Datatable with a with a Precisely Spectrum Dataflow.
* [Integrating with Mailchimp](/rest-api/buzzy-rest-api/integrating-with-mailchimp.md) describes capturing subscriber data using a form and then adding them to a Mailchimp list.
* The [Datatabledata Tutorial](/rest-api/buzzy-rest-api/datatabledata-tutorial.md) describes accessing a Datatable from Postman.

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.buzzy.buzz/rest-api/buzzy-rest-api/integrating-3rd-party-applications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
